Bug 1558183 - [starter-ca-central-1] builds in pending state indefinitely
Summary: [starter-ca-central-1] builds in pending state indefinitely
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.9.0
Assignee: Seth Jennings
QA Contact: DeShuai Ma
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-19 19:03 UTC by Justin Pierce
Modified: 2018-06-18 18:17 UTC (History)
8 users (show)

Fixed In Version: openshift-ansible-3.9.13-1.git.0.47b616a.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-06-18 18:17:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 normal SHIPPED_LIVE Important: OpenShift Container Platform 3.9 security, bug fix, and enhancement update 2018-06-27 22:01:43 UTC

Description Justin Pierce 2018-03-19 19:03:05 UTC
Description of problem:
Builds in this cluster are spending excessive amounts of time in the Pending state.

Version-Release number of selected component (if applicable):
v3.9.7

Comment 7 N. Harrison Ripps 2018-03-21 14:22:28 UTC
Merged 3.9 PR.

Comment 9 liujia 2018-03-22 09:01:07 UTC
Due to revert pr related with bz1548358. Do some regression test based latest build openshift-ansible-3.9.13-1.git.0.47b616a.el7.noarch.

1) Run upgrade against non-ha deployed containerized ocp on rhel. 
upgrade succeed.
2) Run upgrade against ha deployed coordinated ocp on rhel.
upgrade succeed.

Please help confirm if that's enough for the regression test about revert pr.

Comment 10 DeShuai Ma 2018-03-22 10:05:10 UTC
DevExp:
We have triggered more than 50 builds in parallel and make sure all pods are assigned to one node, didn't meet the issue like the bug said. All builds works well and pods are running well.

Comment 11 DeShuai Ma 2018-03-22 10:06:51 UTC
QE also do regression testing for the fix. No issue now. make the bug verified.
For online starter-ca-central-1 we'd better clone a bug then after online upgrade to 3.9.13 verify it.


Note You need to log in before you can comment on or make changes to this bug.